import { post, upload } from "@/request/axios";

export const getNotificationAnnouncementList = (params) =>
  post("/noticecorp/list", params); // 企业公告列表
export const setNotificationAnnouncementChangeStatus = (params) =>
  post("/noticecorp/changeStatus", params); // 企业公告修改启用状态
export const setNotificationAnnouncementTopping = (params) =>
  post("/noticecorp/changeIsTop", params); // 企业公告置顶
export const setNotificationAnnouncementDelete = (params) =>
  post("/noticecorp/delete", params); // 企业公告删除
export const setNotificationAnnouncementBatchDeletion = (params) =>
  post("/noticecorp/deleteAll", params); // 企业公告删除多选
export const getNotificationAnnouncementViewStatusList = (params) =>
  post("/noticecorp/listUserRead", params); // 企业公告查看状态列表
export const getSelectNotifierList = (params) =>
  post("/user/listSelect", params); // 通知人列表
export const setNotificationAnnouncementAdd = (params) =>
  upload("/noticecorp/add", params); // 企业公告添加
export const getNotificationTemplateConfigurationList = (params) =>
  post("/notice_management/list", params); // 通知模板配置列表
export const setNotificationTemplateConfigurationAdd = (params) =>
  post("/notice_management/add", params); // 通知模板配置改变状态
export const setNotificationTemplateConfigurationConfigureList = (params) =>
  post("/notice_management/userlist", params); // 通知模板配置配置列表
export const setNotificationTemplateConfigurationConfigure = (params) =>
  post("/notice_management/editUserName", params); // 通知模板配置配置
